import React, { PropTypes } from 'react'
import { css } from 'glamor'
import cx from 'classnames'
import Box from './Box'
import theme from './theme'

const Styles = {}

const getMuted = (val) => {
  if (val === undefined) return ''
  switch (val) {
    case 1:
    default: return css({ opacity: 0.85 })
    case 2: return css({ opacity: 0.7 })
  }
}

const getColor = ({ white }) => {
  if (white) return css({ color: theme.colors.white[0] })
  return ''
}

const parseProps = ({
  className,
  muted,
  white,
  ...props
}) => ({
  className: cx(`${getColor({ white })}`, `${getMuted({ muted })}`, className),
  ...props
})

const Text = props => React.createElement(Box, parseProps(props))

Text.propTypes = {
  ...Box.propTypes,
  white: PropTypes.bool
}

Text.defaultProps = {
  is: 'p'
}

Text.displayName = 'Text'

export default Text
