import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Input,
  Pane,
  Content
} from '../components'

export default function inputStory (module) {
  storiesOf('Input', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Input

The Input component is an \`input\` element. Implement the \`<Box />\` component.

\`\`\`
<Input />
<Input warning />
\`\`\`

`}
          </Content>
          <Input />
          <Input warning />
          <Content markdown>
{`
prop | type | default | description
-----|------| --------|-------------
\`warning\` | boolean | undefined | toggles \`<ExclamationCircle />\` on the side
`}
          </Content>
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <Input />
    ))
    .add('with margins', () => (
      <Pane white>
        <Input margin={3} />
      </Pane>
    ))
    .add('with width', () => (
      <Pane white>
        <Input width='240px' margin={3} />
      </Pane>
    ))
}
