import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  SearchInput,
  Pane,
  Content
} from '../components'

export default function inputStory (module) {
  storiesOf('SearchInput', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# SearchInput

The SearchInput component is an \`input\` element. Implement the \`<Box />\` component.

\`\`\`
<SearchInput />
\`\`\`

`}
          </Content>
          <SearchInput />
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <SearchInput />
    ))
    .add('with spacing', () => (
      <Pane white>
        <SearchInput margin={3} />
      </Pane>
    ))
    .add('with width', () => (
      <Pane white>
        <SearchInput width='240px' margin={3} />
      </Pane>
    ))
}
